MYLIBA = /usr1a/1116/gpk/mylib/mylib.a
CC=CCCC
.c.o :
	$(CC) -c -O -ce $<

OBJS=mnewt.o mnewtL.o

$(MYLIBA)	::	$(OBJS)
	ar r $(MYLIBA) $? && ranlib $(MYLIBA)

t2_mnewt : t2_mnewt.o $(MYLIBA)
	$(CC) -o t2_mnewt t2_mnewt.o labs.o $(MYLIBA) -lm -l++

t1_mnewt : t1_mnewt.o $(MYLIBA)
	$(CC) -o t1_mnewt t1_mnewt.o labs.o $(MYLIBA) -lm -l++

t2_mnewt.o : t2_mnewt.c
	$(CC) -c -ce $<

t1_mnewt.o : t1_mnewt.c
	$(CC) -c -ce $<

